Bug 1498391 - [RFE] Changelog option in a gluster volume disables with no warning
Summary: [RFE] Changelog option in a gluster volume disables with no warning
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: geo-replication
Version: rhgs-3.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.4.0
Assignee: Kotresh HR
QA Contact: Rochelle
URL:
Whiteboard:
Depends On:
Blocks: 1503132 1503227
TreeView+ depends on / blocked
 
Reported: 2017-10-04 08:12 UTC by Rochelle
Modified: 2018-09-12 07:32 UTC (History)
9 users (show)

Fixed In Version: glusterfs-3.12.2-2
Doc Type: Enhancement
Doc Text:
Geo-replication uses changelog feature and enables it as part of geo-rep session creation. But the command to disable changelog doesn't warn about geo-replication being configured and disabled successfully. With this fix, a check is added while disabling changelog to check for a geo-replication session. Hence, while disabling changelog, a warning is generated for the user about an existing geo-replication session(if any).
Clone Of:
: 1503227 (view as bug list)
Environment:
Last Closed: 2018-09-04 06:36:24 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:38:14 UTC

Description Rochelle 2017-10-04 08:12:24 UTC
Description of problem:
------------------------
When disabling changelog for a volume which is participating in the geo-replication, there should be a clear warning that this could affect the geo-replication session in which that particular volume is participating. 
Changelog currently disables with no warning. 

[root@dhcp42-35 ~]# gluster volume set master changelog.changelog off
volume set: success
[root@dhcp42-35 ~]# 




Version-Release number of selected component (if applicable):
-------------------------------------------------------------
glusterfs-geo-replication-3.8.4-45.el7rhgs.x86_64

Comment 2 Kotresh HR 2017-10-09 09:38:21 UTC
Hi Rochelle,

Before fixing this, let's get to know how does it affect geo-replication.
I think geo-replication should go to hybrid crawl if the changelogs are not available and would affect unlinks and rename syncing.

@Rochelle,

Could you confirm this?

Comment 4 Kotresh HR 2017-10-17 15:35:11 UTC
Upstream Patch:

https://review.gluster.org/#/c/18540/ (master)

Comment 8 Srijita Mukherjee 2018-09-03 15:20:09 UTC
Have updated the doc text. kindly review and confirm the technical accuracy for the same.

Comment 11 errata-xmlrpc 2018-09-04 06:36:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.